com.fasterxml.jackson.jaxrs.cfg

## Class AnnotationBundleKey

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.AnnotationBundleKey

    public final class AnnotationBundleKey
    extends Object

Helper class used to allow efficient caching of information, given a sequence of Annotations. This is mostly used for reusing introspected information on JAX-RS end points.

Since:
  2.2

### Constructor Summary

Constructors
Constructor and Description
`AnnotationBundleKey(Annotation[] annotations, Class<?> type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`AnnotationBundleKey` `immutableKey()` Method called to create a safe immutable copy of the key; used when adding entry with this key -- lookups are ok without calling the method.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AnnotationBundleKey

    public AnnotationBundleKey(Annotation[] annotations,
                               Class<?> type)

### Method Detail

#### immutableKey

    public AnnotationBundleKey immutableKey()

Method called to create a safe immutable copy of the key; used when adding entry with this key -- lookups are ok without calling the method.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`